Subject: bug#62023: compute-guix-derivation failed to compute the derivation for Guix

From: Adroit <[email-masked]>
Date: Thu, 09 Mar 2023 02:15:42 +0000

The output explicitly says "you found a bug".
Are you suggesting that a crash, with backtrace, is the intended behavior when a substitute server happens to be offline?
The problem also occurs when using --no-substitutes and --fallback, so I'm not even sure the server is the root cause - you can see from first few lines (where I curl) of output that the server is indeed online. I also checked the web interface. The only issue I can think of is Guix not respecting the Gnome proxy, but in that case all of the servers would be seen as offline.

-------- Original Message --------
On Mar 7, 2023, 15:15, Maxim Cournoyer < [email-masked]> wrote:

> tags 62023 +notabug quit Hello, Adroit writes: > I keep getting this: > >> $ curl substitutes.nonguix.org >> >> >> >>
>
> 301 Moved Permanently
>
>>>
> ---------------------------------------------------------------